
%global meadversion 2.5.5
%global namedversion 2.5.5.SP12-redhat-1
%global meadalpha .SP12_redhat_1
%global meadrel .1
%global serial 13
%global namedversionrel redhat-1

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package %{?scl_prefix}picketlink-bindings}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.5.5.SP12-redhat-1

Name:           %{?scl_prefix}picketlink-bindings
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        PicketLink Container Bindings
Group:          Development/Java

%if %with mead
Source100: picketlink-bindings-parent-2.5.5.SP12-redhat-1-scm-sources.zip
Source102: picketlink-wildfly-common-2.5.5.SP12-redhat-1-javadoc.jar
Source103: picketlink-wildfly-common-2.5.5.SP12-redhat-1.pom
Source104: picketlink-wildfly-common-2.5.5.SP12-redhat-1.jar
Source105: picketlink-wildfly-common-2.5.5.SP12-redhat-1-sources.jar
Source106: picketlink-wildfly8-2.5.5.SP12-redhat-1.jar
Source107: picketlink-wildfly8-2.5.5.SP12-redhat-1.pom
Source108: picketlink-wildfly8-2.5.5.SP12-redhat-1-sources.jar
Source109: picketlink-tomcat-common-2.5.5.SP12-redhat-1.jar
Source110: picketlink-tomcat-common-2.5.5.SP12-redhat-1-sources.jar
Source111: picketlink-tomcat-common-2.5.5.SP12-redhat-1-javadoc.jar
Source112: picketlink-tomcat-common-2.5.5.SP12-redhat-1.pom
Source113: picketlink-bindings-parent-2.5.5.SP12-redhat-1-project-sources.tar.gz
Source114: picketlink-bindings-parent-2.5.5.SP12-redhat-1.pom
Source115: picketlink-bindings-parent-2.5.5.SP12-redhat-1-javadoc.jar
Source116: picketlink-jbas-common-2.5.5.SP12-redhat-1.pom
Source117: picketlink-jbas-common-2.5.5.SP12-redhat-1-sources.jar
Source118: picketlink-jbas-common-2.5.5.SP12-redhat-1-javadoc.jar
Source119: picketlink-jbas-common-2.5.5.SP12-redhat-1.jar
%endif

License:        ASL 2.0
URL:            http://www.jboss.org/picketlink
Requires:       %{?scl_prefix}picketlink-wildfly8 = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
PicketLink Federation bindings for different containers.

%package -n %{?scl_prefix}picketlink-wildfly8
Summary:        PicketLink Distribution - WildFly8
Group:          Development/Java


%description -n %{?scl_prefix}picketlink-wildfly8
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for picketlink-bindings
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n picketlink-bindings-25 -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/picketlink-wildfly8-%{namedversion}.jar %{buildroot}%{_javadir}/picketlink-wildfly8-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/picketlink-wildfly8-%{namedversion}-sources.jar %{buildroot}%{_javadir}/picketlink-wildfly8-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/picketlink-bindings-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/picketlink-bindings-parent-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/picketlink-bindings-%{namedversion} -x META-INF/\*
%{__ln_s} picketlink-bindings-%{namedversion} %{buildroot}%{_javadocdir}/picketlink-bindings
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}picketlink-bindings
%defattr(0644,root,root,0755)

%files -n %{?scl_prefix}picketlink-wildfly8
%defattr(0644,root,root,0755)
%doc README.md
%{_javadir}/picketlink-wildfly8-%{namedversion}.jar
%{_javadir}/picketlink-wildfly8.jar
%{_javadir}/picketlink-wildfly8-%{namedversion}-sources.jar
%{_javadir}/picketlink-wildfly8-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/picketlink-bindings-%{namedversion}
%{_javadocdir}/picketlink-bindings
%endif

%changelog
* Tue Jul 10 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 2.5.5-13.SP12_redhat_1.1
- upgrade to 2.5.5.SP12-redhat-1

* Wed May 16 2018 Aurel Pintea <apintea@redhat.com> - 2.5.5-12.SP11_redhat_1.1
- upgrade to 2.5.5.SP11-redhat-1

* Thu Mar 22 2018 Aurel Pintea <apintea@redhat.com> - 2.5.5-11.SP10_redhat_1.1
- upgrade to 2.5.5.SP10-redhat-1

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-10.SP9_redhat_1.1
- upgrade to 2.5.5.SP9-redhat-1

* Tue Jan 30 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-10.SP9_redhat_1.1
- upgrade to 2.5.5.SP9-redhat-1

* Fri Aug 18 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-9.SP8_redhat_1.1
- Upgrade to 2.5.5.SP8

* Tue May 09 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-8.SP7_redhat_2.1
- Upgrade to 2.5.5.SP7-redhat-2

* Thu Mar 30 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-7.SP7_redhat_1.1
- Upgrade to 2.5.5.SP7

* Wed Feb 15 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-6.SP6_redhat_1.1
- Upgrade to 2.5.5.SP6

* Tue Jan 24 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-5.SP5_redhat_1.1
- Upgrade to 2.5.5.SP5

* Wed Nov 09 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-4.SP4_redhat_1.1
- Upgrade to 2.5.5.SP4

* Mon Aug 01 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-3.SP3_redhat_1.1
- Upgrade to 2.5.5.SP3

* Tue May 24 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.5.5-2.SP2_redhat_1.1
- Upgrade to 2.5.5.SP2

* Tue Oct 20 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_2.2
- build using eap7 profile

* Tue Oct 20 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_2.1
- fix build

* Tue Oct 20 2015 David Walluck <dwalluck@redhat.com> - 2.5.5-1.SP1_redhat_1.1
- 2.5.5.SP1

* Wed Jul 22 2015 David Walluck <dwalluck@redhat.com> - 2.7.0-1.Final_redhat_1.1
- release

